import request from '@/utils/request'

// 查询公告列表
export function listBulletin(query) {
  return request({
    url: '/mall/bulletin/list',
    method: 'get',
    params: query
  })
}

// 查询公告详细
export function getBulletin(bulletinId) {
  return request({
    url: '/mall/bulletin/' + bulletinId,
    method: 'get'
  })
}

// 新增公告
export function addBulletin(data) {
  return request({
    url: '/mall/bulletin',
    method: 'post',
    data: data
  })
}

// 修改公告
export function updateBulletin(data) {
  return request({
    url: '/mall/bulletin',
    method: 'put',
    data: data
  })
}

// 删除公告
export function delBulletin(bulletinId) {
  return request({
    url: '/mall/bulletin/' + bulletinId,
    method: 'delete'
  })
}
